Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class Messages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.jbi.Messages

    public class Messages

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`Messages()`

Method Summary
`java.lang.String` | `msgBpelEventListenerRegistered(java.lang.String listenerCN)`
`java.lang.String` | `msgDAOInstantiationFailed(java.lang.String className)`
`java.lang.String` | `msgMessageExchangeInterceptorRegistered(java.lang.String interceptorCN)`
`java.lang.String` | `msgOdeBpelServerStartFailure()`
`java.lang.String` | `msgOdeDbConfigError()`
`java.lang.String` | `msgOdeDbPoolStartupFailed(java.lang.String url)`
`java.lang.String` | `msgOdeEmbeddedDbNotFoundUsingTemp(java.io.File dbDir, java.io.File tmpDir)`
`java.lang.String` | `msgOdeInitDAOErrorReadingProperties(java.io.File daoPropFile)`
`java.lang.String` | `msgOdeInitDAOPropertiesNotFound(java.io.File daoPropFile)`
`java.lang.String` | `msgOdeInitExternalDbFailed(java.lang.String dbDataSource)`
`java.lang.String` | `msgOdeInitHibernateDialectDetectFailed()`
`java.lang.String` | `msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)`
`java.lang.String` | `msgOdeInitialized()`
`java.lang.String` | `msgOdeInitMapperClassLoadFailed(java.lang.String messageMapper)`
`java.lang.String` | `msgOdeInitMapperClassNotFound(java.lang.String messageMapper)`
`java.lang.String` | `msgOdeInitMapperInstantiationFailed(java.lang.String messageMapper)`
`java.lang.String` | `msgOdeInstalled(java.lang.String dir)`
`java.lang.String` | `msgOdeInstallErrorCfgNotFound(java.io.File configFile)`
`java.lang.String` | `msgOdeInstallErrorCfgReadError(java.io.File configFile)`
`java.lang.String` | `msgOdeProcessDeploymentFailed(java.io.File dd, java.lang.String suid)`
`java.lang.String` | `msgOdeProcessUndeploymentFailed(javax.xml.namespace.QName pid)`
`java.lang.String` | `msgOdeStarted()`
`java.lang.String` | `msgOdeStarting()`
`java.lang.Object` | `msgOdeUsingDAOImpl(java.lang.String className)`
`java.lang.String` | `msgOdeUsingExternalDb(java.lang.String dbDataSource)`
`java.lang.String` | `msgServiceUnitDeployFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitInitFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitShutdownFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitStartFailed(java.lang.String serviceUnitID)`
`java.lang.String` | `msgServiceUnitStopFailed(java.lang.String serviceUnitID)`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### msgOdeInstallErrorCfgNotFound

    public java.lang.String msgOdeInstallErrorCfgNotFound(java.io.File configFile)

### msgOdeInstallErrorCfgReadError

    public java.lang.String msgOdeInstallErrorCfgReadError(java.io.File configFile)

### msgOdeInstalled

    public java.lang.String msgOdeInstalled(java.lang.String dir)

### msgOdeUsingExternalDb

    public java.lang.String msgOdeUsingExternalDb(java.lang.String dbDataSource)

### msgOdeInitExternalDbFailed

    public java.lang.String msgOdeInitExternalDbFailed(java.lang.String dbDataSource)

### msgOdeInitHibernateErrorReadingHibernateProperties

    public java.lang.String msgOdeInitHibernateErrorReadingHibernateProperties(java.io.File hibernatePropFile)

### msgOdeStarting

    public java.lang.String msgOdeStarting()

### msgOdeStarted

    public java.lang.String msgOdeStarted()

### msgOdeInitHibernateDialectDetectFailed

    public java.lang.String msgOdeInitHibernateDialectDetectFailed()

### msgOdeInitialized

    public java.lang.String msgOdeInitialized()

### msgOdeDbPoolStartupFailed

    public java.lang.String msgOdeDbPoolStartupFailed(java.lang.String url)

### msgOdeBpelServerStartFailure

    public java.lang.String msgOdeBpelServerStartFailure()

### msgOdeProcessDeploymentFailed

    public java.lang.String msgOdeProcessDeploymentFailed(java.io.File dd,
                                                          java.lang.String suid)

### msgOdeProcessUndeploymentFailed

    public java.lang.String msgOdeProcessUndeploymentFailed(javax.xml.namespace.QName pid)

### msgServiceUnitDeployFailed

    public java.lang.String msgServiceUnitDeployFailed(java.lang.String serviceUnitID)

### msgServiceUnitInitFailed

    public java.lang.String msgServiceUnitInitFailed(java.lang.String serviceUnitID)

### msgServiceUnitStartFailed

    public java.lang.String msgServiceUnitStartFailed(java.lang.String serviceUnitID)

### msgServiceUnitStopFailed

    public java.lang.String msgServiceUnitStopFailed(java.lang.String serviceUnitID)

### msgServiceUnitShutdownFailed

    public java.lang.String msgServiceUnitShutdownFailed(java.lang.String serviceUnitID)

### msgOdeInitMapperClassNotFound

    public java.lang.String msgOdeInitMapperClassNotFound(java.lang.String messageMapper)

### msgOdeInitMapperClassLoadFailed

    public java.lang.String msgOdeInitMapperClassLoadFailed(java.lang.String messageMapper)

### msgOdeInitMapperInstantiationFailed

    public java.lang.String msgOdeInitMapperInstantiationFailed(java.lang.String messageMapper)

### msgOdeEmbeddedDbNotFoundUsingTemp

    public java.lang.String msgOdeEmbeddedDbNotFoundUsingTemp(java.io.File dbDir,
                                                              java.io.File tmpDir)

### msgOdeUsingDAOImpl

    public java.lang.Object msgOdeUsingDAOImpl(java.lang.String className)

### msgDAOInstantiationFailed

    public java.lang.String msgDAOInstantiationFailed(java.lang.String className)

### msgOdeInitDAOErrorReadingProperties

    public java.lang.String msgOdeInitDAOErrorReadingProperties(java.io.File daoPropFile)

### msgOdeInitDAOPropertiesNotFound

    public java.lang.String msgOdeInitDAOPropertiesNotFound(java.io.File daoPropFile)

### msgOdeDbConfigError

    public java.lang.String msgOdeDbConfigError()

### msgBpelEventListenerRegistered

    public java.lang.String msgBpelEventListenerRegistered(java.lang.String listenerCN)

### msgMessageExchangeInterceptorRegistered

    public java.lang.String msgMessageExchangeInterceptorRegistered(java.lang.String interceptorCN)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD